devel/libftdi1 - The NetBSD Packages Collection

Userland driver library for FTDI USB chips

libftdi version 1.0
A library (using libusb) to talk to FTDI's UART/FIFO chips
including the popular bitbang mode.
The following chips are supported:
  - FT4232H / FT2232H
  - FT232R  / FT245R
  - FT2232L / FT2232D / FT2232C
  - FT232BM / FT245BM (and the BL/BQ variants)
  - FT8U232AM / FT8U245AM
libftdi requires libusb 1.x.

Build dependencies

devel/swig3 devel/boost-headers pkgtools/cwrappers devel/cmake devel/pkgconf

Runtime dependencies

devel/boost-libs devel/confuse devel/libusb1 lang/python38 lang/python38

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibftdi1-1.4nb1.tgz
NetBSD 8.0earmv7hflibftdi1-1.4nb1.tgz
NetBSD 8.0earmv7hflibftdi1-1.5.tgz
NetBSD 8.0i386libftdi1-1.4nb1.tgz
NetBSD 8.0i386libftdi1-1.4nb1.tgz
NetBSD 8.0i386libftdi1-1.5.tgz
NetBSD 8.0powerpclibftdi1-1.4nb1.tgz
NetBSD 8.0powerpclibftdi1-1.5.tgz
NetBSD 8.0powerpclibftdi1-1.4nb1.tgz
NetBSD 8.0powerpclibftdi1-1.5.tgz
NetBSD 8.0x86_64libftdi1-1.5.tgz
NetBSD 8.0x86_64libftdi1-1.4nb1.tgz
NetBSD 8.0x86_64libftdi1-1.4nb1.tgz
NetBSD 9.0aarch64libftdi1-1.5.tgz
NetBSD 9.0aarch64libftdi1-1.4nb1.tgz
NetBSD 9.0aarch64libftdi1-1.4nb1.tgz
NetBSD 9.0earmlibftdi1-1.4nb1.tgz
NetBSD 9.0earmlibftdi1-1.4nb1.tgz
NetBSD 9.0earmv6hflibftdi1-1.5.tgz
NetBSD 9.0earmv6hflibftdi1-1.4nb1.tgz
NetBSD 9.0earmv6hflibftdi1-1.4nb1.tgz
NetBSD 9.0earmv6hflibftdi1-1.4nb1.tgz
NetBSD 9.0earmv7hflibftdi1-1.5.tgz
NetBSD 9.0earmv7hflibftdi1-1.4nb1.tgz
NetBSD 9.0earmv7hflibftdi1-1.4nb1.tgz
NetBSD 9.0earmv7hflibftdi1-1.4nb1.tgz
NetBSD 9.0earmv7hflibftdi1-1.5.tgz
NetBSD 9.0i386libftdi1-1.4nb1.tgz
NetBSD 9.0i386libftdi1-1.4nb1.tgz
NetBSD 9.0i386libftdi1-1.5.tgz
NetBSD 9.0mips64eblibftdi1-1.5.tgz
NetBSD 9.0mips64eblibftdi1-1.4nb1.tgz
NetBSD 9.0mips64eblibftdi1-1.4nb1.tgz
NetBSD 9.0powerpclibftdi1-1.4nb1.tgz
NetBSD 9.0powerpclibftdi1-1.4nb1.tgz
NetBSD 9.0powerpclibftdi1-1.5.tgz
NetBSD 9.0powerpclibftdi1-1.5.tgz
NetBSD 9.0sparc64libftdi1-1.5.tgz
NetBSD 9.0sparc64libftdi1-1.4nb1.tgz
NetBSD 9.0sparc64libftdi1-1.4nb1.tgz
NetBSD 9.0sparc64libftdi1-1.4nb1.tgz
NetBSD 9.0x86_64libftdi1-1.4nb1.tgz
NetBSD 9.0x86_64libftdi1-1.4nb2.tgz
NetBSD 9.0x86_64libftdi1-1.4nb2.tgz
NetBSD 9.0x86_64libftdi1-1.5.tgz
NetBSD 9.0x86_64libftdi1-1.4nb1.tgz
NetBSD 9.0x86_64libftdi1-1.4nb1.tgz
NetBSD 9.0x86_64libftdi1-1.5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.